เที่ยวบิน
Read an order: status, time limit, tickets.
get/v1/flights/orders/{orderId}
- ต้องยืนยันตัวตน
พารามิเตอร์
| ชื่อ | ตำแหน่ง | ชนิด | คำอธิบาย |
|---|---|---|---|
| orderId* | พาธ | string |
การตอบกลับ
200OKFlightOrder
- orderIdstring
- bookingReferencestringเป็น null ได้
- statusstring
held | ticketed | cancelled | voided | refunded | pending | exchanged | expired | unknown.
- ticketTimeLimitstring (date-time)เป็น null ได้
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- amountstring
- currencystring
- PassengerPricing[]
- typestring
ADT | CHD | INF.
- quantityinteger (int32)
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Tax[]
- Slice[]
- durationMinutesinteger (int32)
- Segment[]
- OrderPassenger[]
- typestring
- firstNamestring
- lastNamestring
- genderstringเป็น null ได้
- dateOfBirthstringเป็น null ได้
- nationalitystringเป็น null ได้
- Ticket[]
- Contact
- emailstring
- phonestring
E.164 or national with dial code.
- priceChangedboolean
- canCancelbooleanเป็น null ได้
- 404Not Foundรายละเอียดปัญหาตาม RFC 7807
ตัวอย่างโค้ด
โปรแกรมสมบูรณ์ที่ลงนามคำขอแบบเดียวกับที่เกตเวย์ใช้ตรวจสอบ แทนที่ YOUR_KEY_ID และ YOUR_SECRET
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/orders/ZnVWRmFQNlNQQlE5V0N2bHZnPT0\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/flights/orders/ZnVWRmFQNlNQQlE5V0N2bHZnPT0" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"